
From: "Andi Kleen" <ak@suse.de>

local_t is actually a win over atomic_t because it does not need lock
prefixes.

Signed-off-by: Andi Kleen <ak@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/local.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/asm-x86_64/local.h~x86_64-correct-wrong-comment-in-localh include/asm-x86_64/local.h
--- 25/include/asm-x86_64/local.h~x86_64-correct-wrong-comment-in-localh	Thu Apr  7 15:11:07 2005
+++ 25-akpm/include/asm-x86_64/local.h	Thu Apr  7 15:11:07 2005
@@ -45,7 +45,8 @@ static __inline__ void local_sub(unsigne
 		:"ir" (i), "m" (v->counter));
 }
 
-/* On x86, these are no better than the atomic variants. */
+/* On x86-64 these are better than the atomic variants on SMP kernels
+   because they dont use a lock prefix. */
 #define __local_inc(l)		local_inc(l)
 #define __local_dec(l)		local_dec(l)
 #define __local_add(i,l)	local_add((i),(l))
_
